ChecksumType Class Reference

CHECKSUM_MD5: Use the MD5 hashing algorithm CHECKSUM_SHA1: Use the SHA-1 hashing algorithm CHECKSUM_SHA256: Use the SHA-256 hashing algorithm More...

`#include <glibmm/checksum.h>`

## Detailed Description

CHECKSUM_MD5: Use the MD5 hashing algorithm CHECKSUM_SHA1: Use the SHA-1 hashing algorithm CHECKSUM_SHA256: Use the SHA-256 hashing algorithm

The hashing algorithm to be used by Checksum when performing the digest of some data.

Note that the ChecksumType enumeration may be extended at a later date to include new hashing algorithm types.

Since glibmm 2.16: